Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1411069 - Updating default_value of a hash/array smart class parameter with a non string value should return an error message
Summary: Updating default_value of a hash/array smart class parameter with a non strin...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Smart Variables
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: orabin
QA Contact: Ales Dujicek
URL:
Whiteboard:
Depends On:
Blocks: 1375643
TreeView+ depends on / blocked
 
Reported: 2017-01-08 06:13 UTC by orabin
Modified: 2019-08-12 16:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-03 19:17:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17087 0 Normal Closed Updating default_value of a hash/array smart class parameter with a non string value should return an error message 2020-04-20 13:22:29 UTC

Description orabin 2017-01-08 06:13:14 UTC
Sending default_value as a hash/array fails through the api but doesn't give any error message.
Sending:
<pre>
"default_value": "['a','b']"
</pre>
will work but
<pre>
"default_value": ['a','b']
</pre>
will fail with no error message

Comment 1 orabin 2017-01-08 06:13:20 UTC
Created from redmine issue http://projects.theforeman.org/issues/17087

Comment 2 orabin 2017-01-08 06:13:25 UTC
Upstream bug assigned to orabin@redhat.com

Comment 5 Satellite Program 2017-06-22 20:15:31 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17087 has been resolved.

Comment 8 Bryan Kearney 2018-10-03 19:17:30 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.